import { StoneTier, IronTier, GoldTier, DiamondTier, NetheriteTier } from "./hammerTiers";

export const hammerList = {
  // Common Hammers
  "justhammers:stone_hammer": {
    tier: StoneTier,
    breakDamage: 10,
    breakArea: { radius: 3, depth: 1 }
  },
  "justhammers:iron_hammer": {
    tier: IronTier,
    breakDamage: 10,
    breakArea: { radius: 3, depth: 1 }
  },
  "justhammers:gold_hammer": {
    tier: GoldTier,
    breakDamage: 10,
    breakArea: { radius: 3, depth: 1 }
  },
  "justhammers:diamond_hammer": {
    tier: DiamondTier,
    breakDamage: 10,
    breakArea: { radius: 3, depth: 1 }
  },
  "justhammers:netherite_hammer": {
    tier: NetheriteTier,
    breakDamage: 10,
    breakArea: { radius: 3, depth: 1 }
  },
  // Impact Hammers
  "justhammers:stone_impact_hammer": {
    tier: StoneTier,
    breakDamage: 28,
    breakArea: { radius: 3, depth: 3 }
  },
  "justhammers:iron_impact_hammer": {
    tier: IronTier,
    breakDamage: 28,
    breakArea: { radius: 3, depth: 3 }
  },
  "justhammers:gold_impact_hammer": {
    tier: GoldTier,
    breakDamage: 28,
    breakArea: { radius: 3, depth: 3 }
  },
  "justhammers:diamond_impact_hammer": {
    tier: DiamondTier,
    breakDamage: 28,
    breakArea: { radius: 3, depth: 3 }
  },
  "justhammers:netherite_impact_hammer": {
    tier: NetheriteTier,
    breakDamage: 28,
    breakArea: { radius: 3, depth: 3 }
  },
  // Reinforced Hammers
  "justhammers:stone_reinforced_hammer": {
    tier: StoneTier,
    breakDamage: 26,
    breakArea: { radius: 5, depth: 1 }
  },
  "justhammers:iron_reinforced_hammer": {
    tier: IronTier,
    breakDamage: 26,
    breakArea: { radius: 5, depth: 1 }
  },
  "justhammers:gold_reinforced_hammer": {
    tier: GoldTier,
    breakDamage: 26,
    breakArea: { radius: 5, depth: 1 }
  },
  "justhammers:diamond_reinforced_hammer": {
    tier: DiamondTier,
    breakDamage: 26,
    breakArea: { radius: 5, depth: 1 }
  },
  "justhammers:netherite_reinforced_hammer": {
    tier: NetheriteTier,
    breakDamage: 26,
    breakArea: { radius: 5, depth: 1 }
  },
  // Reinforced Impact Hammers
  "justhammers:stone_reinforced_impact_hammer": {
    tier: StoneTier,
    breakDamage: 76,
    breakArea: { radius: 5, depth: 3 }
  },
  "justhammers:iron_reinforced_impact_hammer": {
    tier: IronTier,
    breakDamage: 76,
    breakArea: { radius: 5, depth: 3 }
  },
  "justhammers:gold_reinforced_impact_hammer": {
    tier: GoldTier,
    breakDamage: 76,
    breakArea: { radius: 5, depth: 3 }
  },
  "justhammers:diamond_reinforced_impact_hammer": {
    tier: DiamondTier,
    breakDamage: 76,
    breakArea: { radius: 5, depth: 3 }
  },
  "justhammers:netherite_reinforced_impact_hammer": {
    tier: NetheriteTier,
    breakDamage: 76,
    breakArea: { radius: 5, depth: 3 }
  },
  // Destructor Hammers
  "justhammers:stone_destructor_hammer": {
    tier: StoneTier,
    breakDamage: 126,
    breakArea: { radius: 5, depth: 5 }
  },
  "justhammers:iron_destructor_hammer": {
    tier: IronTier,
    breakDamage: 126,
    breakArea: { radius: 5, depth: 5 }
  },
  "justhammers:gold_destructor_hammer": {
    tier: GoldTier,
    breakDamage: 126,
    breakArea: { radius: 5, depth: 5 }
  },
  "justhammers:diamond_destructor_hammer": {
    tier: DiamondTier,
    breakDamage: 126,
    breakArea: { radius: 5, depth: 5 }
  },
  "justhammers:netherite_destructor_hammer": {
    tier: NetheriteTier,
    breakDamage: 126,
    breakArea: { radius: 5, depth: 5 }
  }
};